{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidCompteurRegle }}</div>
{% endblock %}

{% block formulaire %}
    {# Génération du label. #}
    {#MC 20200908 DEBUT Modification de class bootstrap #}
    {% if poForm.iregle is defined %}
        <div class="form-group col-sm-12 col-md-12 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {{ form_label(poForm.iregle, "Règles", {'label_attr': {'class': 'm-0 mr-1 control-label'}}) }}
            <div class="col-sm-9 col-md-9 col-lg-9">
            {{ form_widget(poForm.iregle, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}

    {% if poForm.nsens is defined %}
        <div class="form-group col-sm-12 col-md-12 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {{ form_label(poForm.nsens, "Sens", {'label_attr': {'class': 'm-0 mr-1 control-label'}}) }}
            <div class="col-sm-9 col-md-9 col-lg-9">
            {{ form_widget(poForm.nsens, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
    
    {% if poForm.bvalheure is defined %}
        <div class="form-group col-sm-12 col-md-12 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.bvalheure, "Incrémentation par heure", {'label_attr': {'class': 'm-0 mr-1 control-label'}}) }}

            <div class="col-sm-6 col-md-6 col-lg-6 col-xs-6">
                {{ form_widget(poForm.bvalheure, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
    
    {% if poForm.bvaljour is defined %}
        <div class="form-group col-sm-12 col-md-12 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {# Génération du label. #}
            {{ form_label(poForm.bvaljour, "	Incrémentation par jour", {'label_attr': {'class': 'm-0 mr-2 control-label'}}) }}

            <div class="col-sm-6 col-md-6 col-lg-6 col-xs-6">
                {{ form_widget(poForm.bvaljour, {'attr': {'class': 'form-control'}}) }}
            </div>
        </div>
    {% endif %}
    {#MC 20200908 FIN Modification de class bootstrap #}
{% endblock %}
